Summary: Selected set of bitmap fonts
Name: bitmap-fonts
Version: 0.3
Release: 6%{?dist}
License: GPLv2 and MIT and Lucida
Source0: bitmap-fonts-%{version}.tar.bz2
Source1: fixfont-3.5.tar.bz2
Source2: LICENSE
Source3: 66-bitmap-console.conf
Source4: 66-bitmap-fangsongti.conf
Source5: 66-bitmap-fixed.conf
Source6: 66-bitmap-lucida-typewriter.conf

BuildRequires: bdftopcf fonttosfnt fontpackages-devel freetype-demos
BuildRequires: python3
BuildRequires: make

BuildArch: noarch

%description
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-fonts-compat
Summary: Compatibility files of bitmap-font families
Provides: bitmap-fonts = %{version}-%{release}
Requires: bitmap-lucida-typewriter-fonts = %{version}-%{release}
Requires: bitmap-fangsongti-fonts = %{version}-%{release}
Requires: bitmap-console-fonts = %{version}-%{release}
Requires: bitmap-fixed-fonts = %{version}-%{release}
Requires: ucs-miscfixed-fonts
Conflicts: bitmap-opentype-fonts-compat
%description -n bitmap-fonts-compat
Meta-package for installing all font families of bitmap.

%package -n bitmap-opentype-fonts-compat
Summary:  Compatibility files of bitmap-font families (opentype version)
Requires: bitmap-lucida-typewriter-opentype-fonts = %{version}-%{release}
Requires: bitmap-fangsongti-opentype-fonts = %{version}-%{release}
Requires: bitmap-console-opentype-fonts = %{version}-%{release}
Requires: bitmap-fixed-opentype-fonts = %{version}-%{release}
Requires: ucs-miscfixed-opentype-fonts
Conflicts: bitmap-fonts-compat
%description -n bitmap-opentype-fonts-compat
Meta-package for installing all font families of opentype bitmap.

%package -n bitmap-lucida-typewriter-fonts
Summary: Selected CJK bitmap fonts for Anaconda
Requires: fontpackages-filesystem
Provides: %{name}-cjk = %{version}-%{release}
License: Lucida
Conflicts: bitmap-lucida-typewriter-opentype-fonts
%description -n bitmap-lucida-typewriter-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-lucida-typewriter-opentype-fonts
Summary: Selected CJK bitmap fonts for Anaconda (opentype version)
Requires: fontpackages-filesystem
License: Lucida
Conflicts: bitmap-lucida-typewriter-fonts
%description -n bitmap-lucida-typewriter-opentype-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-fangsongti-fonts
Summary: Selected CJK bitmap fonts for Anaconda
Requires: fontpackages-filesystem
Provides: %{name}-cjk = %{version}-%{release}
License: MIT
Conflicts: bitmap-fangsongti-opentype-fonts
%description -n bitmap-fangsongti-fonts
bitmap-fonts-cjk package contains bitmap fonts used by Anaconda. They are
selected from the xorg packages, and the font encoding are converted from 
native encoding to ISO10646. They are only intended to be used in Anaconda.

%package -n bitmap-fangsongti-opentype-fonts
Summary: Selected CJK bitmap fonts for Anaconda (opentype version)
Requires: fontpackages-filesystem
License: MIT
Conflicts: bitmap-fangsongti-fonts
%description -n bitmap-fangsongti-opentype-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-console-fonts
Summary: Selected set of bitmap fonts
Requires: fontpackages-filesystem
License: GPLv2
Conflicts: bitmap-console-opentype-fonts
%description -n bitmap-console-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-console-opentype-fonts
Summary: Selected set of bitmap fonts (opentype version)
Requires: fontpackages-filesystem
License: GPLv2
Conflicts: bitmap-console-fonts
%description -n bitmap-console-opentype-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-fixed-fonts
Summary: Selected set of bitmap fonts
Requires: fontpackages-filesystem
License: GPLv2
Conflicts: bitmap-fixed-opentype-fonts
%description -n bitmap-fixed-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%package -n bitmap-fixed-opentype-fonts
Summary: Selected set of bitmap fonts (opentype version)
Requires: fontpackages-filesystem
License: GPLv2
Conflicts: bitmap-fixed-fonts
%description -n bitmap-fixed-opentype-fonts
The bitmap-fonts package provides a number of bitmap fonts selected
from the xorg package designed for use locations such as terminals.

%prep
%autosetup -a 1
cp %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
pushd fixfont-3.5
make install DESTDIR=%{buildroot}
popd

rm %{buildroot}%{_fontbasedir}/%{name}/[0-9]*.pcf
rm %{buildroot}%{_fontbasedir}/%{name}/console8x8.pcf
rm README
rm [0-9]*.bdf fixfont-3.5/[0-9]*.bdf

for bdf in `ls *.bdf`;
do fonttosfnt -b -c -g 2 -m 2 -o ${bdf%%bdf}otb  $bdf;
done
install -m 0644 -p *.otb %{buildroot}%{_fontbasedir}/%{name}

pushd fixfont-3.5
for bdf in `ls *.bdf`;
do fonttosfnt -b -c -g 2 -m 2 -o ${bdf%%bdf}otb  $bdf;
done
fonttosfnt -b -c -g 2 -m 2 -o console9x15.otb console9x15.pcf
install -m 0644 -p *.otb %{buildroot}%{_fontbasedir}/%{name}
popd

gzip %{buildroot}%{_fontbasedir}/%{name}/*.pcf
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
        %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/66-bitmap-console.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/66-bitmap-fangsongti.conf
install -m 0644 -p %{SOURCE5} \
        %{buildroot}%{_fontconfig_templatedir}/66-bitmap-fixed.conf
install -m 0644 -p %{SOURCE6} \
        %{buildroot}%{_fontconfig_templatedir}/66-bitmap-lucida-typewriter.conf
for fconf in 66-bitmap-console.conf \
             66-bitmap-fangsongti.conf \
             66-bitmap-fixed.conf \
             66-bitmap-lucida-typewriter.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%files -n bitmap-fonts-compat

%files -n bitmap-opentype-fonts-compat

%files -n bitmap-lucida-typewriter-fonts
%doc LU_LEGALNOTICE
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-lucida-typewriter.conf 
%{_fontconfig_templatedir}/66-bitmap-lucida-typewriter.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/lut*.pcf.gz

%files -n bitmap-lucida-typewriter-opentype-fonts 
%doc LU_LEGALNOTICE
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-lucida-typewriter.conf 
%{_fontconfig_templatedir}/66-bitmap-lucida-typewriter.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/lut*.otb

%files -n bitmap-fangsongti-fonts 
%doc LICENSE
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-fangsongti.conf 
%{_fontconfig_templatedir}/66-bitmap-fangsongti.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/fangsongti*.pcf.gz

%files -n bitmap-fangsongti-opentype-fonts 
%doc LICENSE
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-fangsongti.conf 
%{_fontconfig_templatedir}/66-bitmap-fangsongti.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/fangsongti*.otb

%files -n bitmap-console-fonts
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-console.conf
%{_fontconfig_templatedir}/66-bitmap-console.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/console8x16*.pcf.gz

%files -n bitmap-console-opentype-fonts
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-console.conf
%{_fontconfig_templatedir}/66-bitmap-console.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/console8x16*.otb

%files -n bitmap-fixed-fonts 
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-fixed.conf  
%{_fontconfig_templatedir}/66-bitmap-fixed.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/console9*.pcf.gz

%files -n bitmap-fixed-opentype-fonts 
%config(noreplace) %{_fontconfig_confdir}/66-bitmap-fixed.conf  
%{_fontconfig_templatedir}/66-bitmap-fixed.conf
%dir %{_fontbasedir}/%{name}
%{_fontbasedir}/%{name}/console9*.otb

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 0.3-6
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Shuo Wang <abushwang@tencent.com> - 0.3-2
- add pkg to ocs

* Sun Nov 6 2022 yangke <yangke@redflag-os.com> - 0.3-1
- init build
